/*************************************** для страницы настроек *************************************/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


html, body {
    height: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    font-family: Arial, Helvetica, sans-serif;
}

body {
    display: grid;
    grid-template-rows: auto 1fr auto; /* Auto для шапки и подвала, 1fr для основного контента */
    min-height: 100vh; /* Заполняем всю видимую высоту */
}

textarea {
    font-family: Arial, Helvetica, sans-serif;
}
.smr-wrapper {
    display: grid;
    grid-template-rows: auto 1fr auto; /* Auto для шапки и подвала, 1fr для основного контента */
    min-height: 100vh; /* Заполняем всю видимую высоту */
}

.smr-top-bar {
	position: relative;
    background-color: #ffffd7; 
    padding: 15px;
    text-align: center;
/*    border-bottom: 1px solid #ccc; */
}

.smr-top-bar .bottom-pixels { /* для рельефа в нижней части верхнего блока */
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    border-top: 1px solid #CCCCCC; /* Верхний пиксель светло-серый */
    border-bottom: 1px solid #909090; /* Нижний пиксель чёрный */
    height: 0;                     /* Обнуление высоты для правильного выравнивания рамок */}

.smr-content-area {
    display: flex;                    
    flex-direction: column;           
    overflow-y: auto;                 
/*    padding: 15px; */
/*    flex-grow: 1; 
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center;    
*/
}

.smr-content-wrapper {
    flex-grow: 1;                    /* Растягиваем контент по всей высоте */
}

.smr-sticky-line {
    margin-top: auto;                 /* Прикрепляем линию к самому низу */
    border: none;
    height: 1px;
    background-color: #ccc;
    width: 100%;
}

.smr-bottom-bar {
	position: relative;
    color: white;
    padding: 15px;
    text-align: center;
    background-color: #ffffd7;
/*    border-top: 1px solid #ccc;*/
}


#smr-back-link img {
	width: 48px;
	height: 48px;
}

#smr-back-link:hover img {
	content: url('/img/undo-over.png');
}

#smr-back-link:active img {
	content: url('/img/undo-down.png');
}

.smr-bottom-bar .top-pixels { /* для рельефа в нижней части верхнего блока */
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    width: 100%;
    border-top: 1px solid #909090; /* Нижний пиксель чёрный */
    border-bottom: 1px solid #CCCCCC; /* Верхний пиксель светло-серый */
    height: 0;                     /* Обнуление высоты для правильного выравнивания рамок */}
}

.smr-bottom-bar-wrapper {
    display: flex;
    justify-content: space-between; /* Равномерное распределение между кнопками */
    gap: 20px;                     /* Расстояние между кнопками */
    max-width: 600px;              /* Ограничиваем ширину контейнера */
    margin: 0 auto;                /* Центрирование блока */
    color: black;
}

.smr-bottom-bar-wrapper>div {
	text-align: center;
	width: 100%;	
}

.smr-bottom-bar-wrapper>div>p.powered {
	color:#bfbfbf;	
}

/* Контейнер, внутри которого блоки располагаются ближе к верху */
.time-table-select-wrapper {
    flex-grow: 1; /* Растягивается на всё оставшееся пространство */
    display: flex;
    flex-direction: column;
    justify-content: space-between; /* Центровка по вертикали */
    align-items: center; /* Центровка по горизонтали */   
    height: 100%;
}

.time-table-select-spacer {
    flex-grow: 1; 
}


.time-table-select-wrapper-conteiner {
  min-width:200px;
  min-height: 100px;	
  background-color: #fffbca;
  border-radius: 5px;
  border: dotted 1px navy;
  padding:  10px 50px;
}

/*.time-table-select-wrapper-conteiner>table>tbody>tr:first-child>td, 
.time-table-select-wrapper-conteiner>table>tbody>tr:nth-child(2)>td, 
.time-table-select-wrapper-conteiner>table>tbody>tr:last-child>td 
*/
.time-table-select-wrapper-conteiner>table>tbody>tr>td {
	padding-top: 10px; 
	padding-bottom: 10px; 
}

/* строка в таблице фильтра по группе и преподавателю */
.time-table-select-wrapper-conteiner>table>tbody>tr {
	vertical-align: top;
}
/* первый столбец в таблице фильтра по группе и преподавателю */
.time-table-select-wrapper-conteiner>table>tbody>tr>td:first-child {
	padding-right: 10px; 
	text-align: right;
	font-weight: bold;
	color: red; 
}

/* второй (последний - всего 2) столбец в таблице фильтра по группе и преподавателю */
.time-table-select-wrapper-conteiner>table>tbody>tr>td:last-child {
	text-align: left;
}

/* Контейнер, внутри которого блоки располагаются */
.time-table-btns-wrapper {

    flex-grow: 1; /* Растягивается на всё оставшееся пространство */
    display: flex;
    flex-direction: column;
    justify-content: center; /* Центровка по вертикали */
    align-items: center; /* Центровка по горизонтали */   
    height: 100%;
    
}

.btn-block {
    background-color: #f7f7f7;   /* Цвет фона блока */
    width: 344px;                /* Ширина блока */
    height: 136px;
    text-align: center;          /* Центрирование текста */
    line-height: 2em;            /* Интервал строки для красивого отображения текста */
    padding: 20px;               /* Внутренний отступ */
    font-size: 1rem;             /* Размер шрифта */
    color: #333;                 /* Цвет текста */
    border-radius: 8px;          /* Закругление углов */
}


.time-table-btns-wrapper>form>button.time-table-btns {
    border: none;
    margin-bottom: 20px; 
    padding: 10px 20px;
  /*  padding: 0; */
	width: 344px;
	height: 136px;
	background: none;
    background-color: #f7f7f7;   /* Цвет фона блока */
    text-align: center;          /* Центрирование текста */
    line-height: 2em;            /* Интервал строки для красивого отображения текста */
    padding: 20px;               /* Внутренний отступ */
    font-size: 1rem;             /* Размер шрифта */
    color: #333;                 /* Цвет текста */
    border-radius: 8px;          /* Закругление углов */
}

.time-table-btns-wrapper>form>button.time-table-btns>span {
	display: none;
}

.time-table-btns-wrapper>form>button.time-table-btns-student {
	background: url('/img/btn-tt-students.png') no-repeat;
}

.time-table-btns-wrapper>form>button.time-table-btns-student:hover {
	background-position: 0 -136px;
}

.time-table-btns-wrapper>form>button.time-table-btns-student:active {
	background-position: 0 -272px;
}

.time-table-btns-wrapper>form>button.time-table-btns-teacher {
	background: url('/img/btn-tt-teachers.png') no-repeat;
}

.time-table-btns-wrapper>form>button.time-table-btns-teacher:hover {
	background-position: 0 -136px;
}

.time-table-btns-wrapper>form>button.time-table-btns-teacher:active {
	background-position: 0 -272px;
}

.time-table-btns-wrapper>form>button.time-table-btns-agoy {
	background: url('/img/btn-tt-agoy.png') no-repeat;
}

.time-table-btns-wrapper>form>button.time-table-btns-agoy:hover {
	background-position: 0 -136px;
}

.time-table-btns-wrapper>form>button.time-table-btns-agoy:active {
	background-position: 0 -272px;
}
